summaryrefslogtreecommitdiff
path: root/dev-qt
diff options
context:
space:
mode:
authorDavide Pesavento <pesa@gentoo.org>2015-10-26 02:38:14 +0100
committerDavide Pesavento <pesa@gentoo.org>2015-10-26 02:46:33 +0100
commit09960cc53f9ea08f197bcdb0340698a9e6753e5d (patch)
tree7ca16744240e73e443201a78ef86d780b055bbb1 /dev-qt
parentmedia-plugins/gst-plugins-libav: version bump to 1.6 (diff)
downloadgentoo-09960cc53f9ea08f197bcdb0340698a9e6753e5d.tar.gz
gentoo-09960cc53f9ea08f197bcdb0340698a9e6753e5d.tar.bz2
gentoo-09960cc53f9ea08f197bcdb0340698a9e6753e5d.zip
dev-qt/qtchooser: new snapshot
Package-Manager: portage-2.2.23
Diffstat (limited to 'dev-qt')
-rw-r--r--dev-qt/qtchooser/Manifest1
-rw-r--r--dev-qt/qtchooser/qtchooser-0_p20151008.ebuild75
2 files changed, 76 insertions, 0 deletions
diff --git a/dev-qt/qtchooser/Manifest b/dev-qt/qtchooser/Manifest
index da8277d8904..a406fbc32cc 100644
--- a/dev-qt/qtchooser/Manifest
+++ b/dev-qt/qtchooser/Manifest
@@ -1 +1,2 @@
DIST qtchooser-0_p20150102.tar.xz 30936 SHA256 7b6d622d3a57a1467c57b4ca368220540085698cb7ad226ed782931599e85757 SHA512 15e08f1aaa22ba45d41adda57b9da76f3667d15ab92448b6a95b44287e5043fcae368ddcea1e2b84565d3a96edacbcd68bc515054ffaa81dde4064c9a992dbae WHIRLPOOL 4617444cf9764a82f10f3ff8fdf1102d9c5fdd76c77966c661a5256a98221117696ffccf83ed5b961a53d7b5ff5e0a7f6454627a6ab43427583edf9e3660a1bb
+DIST qtchooser-0_p20151008.tar.xz 31308 SHA256 121e90dd70054701c52b0d555ffa2a55192439afded88197f17d7b2ca28fa2e8 SHA512 d6fd56e839b7ce7abbd42300d76d06d67fabb5ca36a6f6a39493b7770599372c4795a90cafeea8cceff8da7ea7f6639d74f76a8241a808364a41905fa3d084c6 WHIRLPOOL 8e5fc7d1b30d06990af87737e7d5a4b210f0f30ef2d8d7a17b7ef91e02afdb9bce7240c7f291d557855a277c4d5c4c3f452c416ea29a9f1f9a23c9aeface4ae3
diff --git a/dev-qt/qtchooser/qtchooser-0_p20151008.ebuild b/dev-qt/qtchooser/qtchooser-0_p20151008.ebuild
new file mode 100644
index 00000000000..5d71f904af0
--- /dev/null
+++ b/dev-qt/qtchooser/qtchooser-0_p20151008.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit qmake-utils toolchain-funcs
+
+DESCRIPTION="Qt4/Qt5 version chooser"
+HOMEPAGE="https://qt.gitorious.org/qt/qtchooser"
+SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${P}.tar.xz"
+
+LICENSE="|| ( LGPL-2.1 GPL-3 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="test"
+
+DEPEND="test? (
+ dev-qt/qtcore:5
+ dev-qt/qttest:5
+ )"
+RDEPEND="
+ !<dev-qt/assistant-4.8.6:4
+ !<dev-qt/designer-4.8.6:4
+ !<dev-qt/linguist-4.8.6:4
+ !<dev-qt/pixeltool-4.8.6:4
+ !<dev-qt/qdbusviewer-4.8.6:4
+ !<dev-qt/qt3support-4.8.6:4
+ !<dev-qt/qtbearer-4.8.6:4
+ !<dev-qt/qtcore-4.8.6:4
+ !<dev-qt/qtdbus-4.8.6:4
+ !<dev-qt/qtdeclarative-4.8.6:4
+ !<dev-qt/qtdemo-4.8.6:4
+ !<dev-qt/qtgui-4.8.6:4
+ !<dev-qt/qthelp-4.8.6:4
+ !<dev-qt/qtmultimedia-4.8.6:4
+ !<dev-qt/qtopengl-4.8.6:4
+ !<dev-qt/qtopenvg-4.8.6:4
+ !<dev-qt/qtphonon-4.8.6:4
+ !<dev-qt/qtscript-4.8.6:4
+ !<dev-qt/qtsql-4.8.6:4
+ !<dev-qt/qtsvg-4.8.6:4
+ !<dev-qt/qttest-4.8.6:4
+ !<dev-qt/qtwebkit-4.8.6:4
+ !<dev-qt/qtxmlpatterns-4.8.6:4
+"
+
+qtchooser_make() {
+ emake \
+ CXX="$(tc-getCXX)" \
+ LFLAGS="${LDFLAGS}" \
+ prefix="${EPREFIX}/usr" \
+ "$@"
+}
+
+src_compile() {
+ qtchooser_make
+}
+
+src_test() {
+ pushd tests/auto >/dev/null || die
+ eqmake5
+ popd >/dev/null || die
+
+ qtchooser_make check
+}
+
+src_install() {
+ qtchooser_make INSTALL_ROOT="${D}" install
+
+ keepdir /etc/xdg/qtchooser
+
+ # TODO: bash and zsh completion
+ # newbashcomp scripts/${PN}.bash ${PN}
+}